/********************************************************
 * File: resource.h
 *
 * This file defines size of the widgets and serves as a
 * temporary resource file. The values of constants defined
 * in this file can be changed if the user needs to chnge the
 * size of the widegts (label, button, main window etc.)
 *
 * Note: The program must be recompiled after the values have
 *	 been changed.
 *
 * Author: Peter Rajcani, March 1995
 ******************************************************/


#define BOARD_WIDTH	500	/* Width of the main window */

#define LABEL_HEIGHT	30	/* Height of the label containing 
				   text (depends on the font) */

#define LABEL_WIDTH	200	/* Width of the label in a dialog box */

#define MSG_WIDTH	150	/* Width of the message field 
				  (indicates selected method type) */

#define BORDER_WIDTH	2	/* Border width of the main window */

#define EDIT_HEIGHT	35	/* Height of the editor field in the
				   dialog box */

#define EDIT_WIDTH	300     /* Width of the editor field in the 
				   dialog box */

#define DIALOG_WIDTH	350	/* Width of a popup dialog */

#define BUTTON_WIDTH	100	/* Width of a button */
#define BUTTON_HEIGHT	40	/* Height of a button */


/********* Directory masks for loading the input files **********/

#define	IMAGE_MASK	"*.p?m"
#define WFA_MASK	"examples/*.a"
#define WFT_MASK	"examples/*.t"
